# Novigi Nodejs Core Utils

A reusable collection of javascript util methods and functions made for Nodejs projects

## ⭐️ Features

- Bitbucket build pipelines
- eslint code analysis
- Jest unit testing

## 📖 Documentation

- [API documentation](DOCUMENTATION.md)

// TODO: update the documentation
https://novigi.atlassian.net/wiki/spaces/NOV20011/pages/2355429393/Node.js+Core+Util+Documentation


## 📦 Getting Started

1. Clone the project
```
git clone https://bitbucket.org/novigi/nov20011-nodejs-core-utils.git
```

2. Install NPM dependencies
```
npm install
```

3. Run lint and unit tests
```
npm run lint
npm test
```

## 💎 Customization

// TODO: how to add a new module to the /lib

## 🚀 Deployment

// TODO: how to publish with `npm publish`